#! /bin/bash

#Modificamos los archivos de configuracion para ajustar las rutas de los archivos
sed -e "s/\\\/\\//g" -e "s|path=C\\:|path=$HOME|" -e "s|pathtimer=C\\:|pathtimer=$HOME|" -i vposconf.ini
sed -e "s/\\\/\\//g" -i vposuniversal.ini
sed -e "s/ultvoucherOfcr/UltVoucherOfcr/" -e "s/SelImpresora.jpg/Selimpresora.JPG/" -i vposuniversal.ini
sed -e "s|/voucher/logs/vpos.log|$HOME/voucher/logs/vpos.log|" -e "s|/voucher/logs/vposerr.log|$HOME/voucher/logs/errorvpos.log|" -i log4j.xml
sed -e "s|C\\:/voucher/ejecutar|$HOME/voucher/peticion|" -e "s|C\\:/voucher/respuesta|$HOME/voucher/respuesta|" -i integracionArchivos.properties

#damos permiso de ejecucion a los ejecutables de java
chmod +x ../jre-linux/bin/* 

#informamos los pasos adicionales 
echo "Se procedera a consultar la version del java, por favor estar atento al resultado"
../jre-linux/bin/java -version
echo "si pudo visualizar correctamente la version del java, significa que esta el jre esta correctamente inicializado, en caso contrario debe revisar los permisos de los ejecutables en la carpeta jre-linux/bin"

#Informamos de los paquetes que se deben instalar en caso de ser un sistema de 64 bits
arch="$(uname -i)"
if [ "$arch"=="x86_64" ]; then
	echo "este es un sistema operativo de 64 bits, esto puede traer problemas de ejecucion para la VPOS"
	echo "en caso de observar un comportamiento no valido, se recomienda instalar los siguientes paquetes"
	echo "libc6:i386"
	echo "libxtst6:i386"
	echo "libxrender1:i386"
	echo "libxi6:i386"
	echo "libxext6:i386"
else
	echo "sistema de 32 bits"
fi
